System Requirements

Users can access the AADE7™ System from any computer with an internet connection and one of the commonly used browsers, such as Internet Explorer. From time to time we may add new features and enhancements to the AADE7™ System, in which case, older browser versions or Internet devices like WebTV may not support the new standards.

For the current version of the AADE7™ System, Internet Explorer 9 or Internet Explorer 8, is highly recommended. Please note that if you are using the latest release of your browser, there may be a delay in our support of the new browser release while we conduct a review to ensure it meets our security standards. We recommend that you use a supported browser until the new version is officially supported.

In This Section

Practice Resources